import eleka.*;

class Test {
    //Load the library
    static {
	System.loadLibrary("miatu");
    }
    
    public static void main(String[] args) {
	Miatu mi = Miatu.createInstance("testdb");
	mi.index("www.eleka.net","aaa bbb", "text/plain");
        ResultIterator result = mi.lookup("aaa");
        System.out.println(result.next());
        result.close();
        mi.close();
    }
}
